#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

%define		module	billiard
Summary:	Multiprocessing Pool Extensions
Summary(pl.UTF-8):	Rozszerzenia puli procesów
Name:		python3-%{module}
Version:	4.2.1
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/billiard/
Source0:	https://files.pythonhosted.org/packages/source/b/billiard/%{module}-%{version}.tar.gz
# Source0-md5:	67dfb22a28126cfdbfe9f8e0bcdc177d
URL:		https://github.com/celery/billiard
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.752
%if %{with doc}
BuildRequires:	sphinx-pdg-3
%endif
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools >= 1:40.0.0
%if %{with tests}
BuildRequires:	python3-case >= 1.3.1
BuildRequires:	python3-psutil >= 5.8.0
BuildRequires:	python3-pytest
%endif
Requires:	python3-modules >= 1:3.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
billiard is a fork of the Python 2.7 multiprocessing package. The
multiprocessing package itself is a renamed and updated version of R
Oudkerk's pyprocessing package. This standalone variant draws its
fixes/improvements from python-trunk and provides additional bug fixes
and improvements.

%description -l pl.UTF-8
billiard to odgałęzienie pakietu multiprocessing z Pythona 2.7. Pakiet
multiprocessing to uaktualniona wersja pakietu pyprocessing R Oudkerka
ze zmienioną nazwą. Samodzielny wariant czerpie poprawki i
usprawnienia z najświeższego Pythona, ponadto zawiera dodatkowe
poprawki błędów i ulepszenia.

%package apidocs
Summary:	API documentation for billiard module
Summary(pl.UTF-8):	Dokumentacja API modułu billiard
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for billiard module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu billiard.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest t/unit
%endif

%if %{with doc}
cd Doc
PYTHONPATH=$(pwd)/../build-3/lib \
sphinx-build-3 -b html -d .build/doctrees . .build/html
cd ..
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc Doc/.build/html/{_static,library,*.html,*.js}
%endif
%changelog
* Wed Apr 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-billiard.git;a=log;h=master

* Wed Apr 30 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 313ca4a
- Up to 4.2.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 22ae3f6
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 4f1bc20
- python 3.13 rebuild

* Fri Dec 22 2023 Jan Rękorajski <baggins@pld-linux.org> 348eb53
- Release 6 (by relup.sh)

* Sat Nov 25 2023 Jan Rękorajski <baggins@pld-linux.org> 874f36b
- Release 5 (by relup.sh)

* Sat Oct 14 2023 Jakub Bogusz <qboosh@pld-linux.org> 9ed702a
- use python2 for sphinx as ur'' string prefix is no longer accepted by python 3.10

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 91cbfd2
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> aeb1d61
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a07a92d
- rebuild with python 3.10

* Wed Dec 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 0f59a35
- setuptools epoch

* Sat Nov 27 2021 Jan Rękorajski <baggins@pld-linux.org> 3805cb6
- up to 3.6.4.0

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 01bfbc2
- rebuild with separate debuginfo build-ids

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> cd4df65
- unconditional noarch subpackages

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> a2f3b60
- release 2 (by relup.sh)

* Thu Jan 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 5a836b5
- updated to 3.6.3.0

* Mon Feb 17 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> c13aee0
- up to 3.6.2.0

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f69e2b7
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Sep 26 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> 9f3d244
- Version: 3.5.0.4

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> b93f58c
- python 3.7 rebuild
- release 6 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> f56307d
- python 3.6
- release 5 (by relup.sh)

